Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Interface DirectoryObject

    public interface DirectoryObject

Interface that presents information about a directory object suitable for use with a directory API.

Field Summary
`static int` | `DOT` Used with `getDN`; specifies the returned DN should be in dot format.
`static int` | `LDAP` Used with `getDN`; specifies the returned DN should be in LDAP format.
`static int` | `QUALIFIED_DOT` Used with `getDN`; specifies the returned DN should be in qualified-dot format.
`static int` | `QUALIFIED_SLASH` Used with `getDN`; specifies the returned DN should be in qualified-slash format.
`static int` | `SLASH` Used with `getDN`; specifies the returned DN should be in slash format.

Method Summary
`String` | `getDN(int dnType)` Return the DN of the directory object represented by this interface instance.
`long` | `getEntryID()` Return the entry ID of the directory object represented by this interface instance.

Field Detail

### LDAP

    static final int LDAP

  Used with `getDN`; specifies the returned DN should be in LDAP format.

  See Also:
    Constant Field Values

### SLASH

    static final int SLASH

  Used with `getDN`; specifies the returned DN should be in slash format.

  See Also:
    Constant Field Values

### QUALIFIED_SLASH

    static final int QUALIFIED_SLASH

  Used with `getDN`; specifies the returned DN should be in qualified-slash format.

  See Also:
    Constant Field Values

### DOT

    static final int DOT

  Used with `getDN`; specifies the returned DN should be in dot format.

  See Also:
    Constant Field Values

### QUALIFIED_DOT

    static final int QUALIFIED_DOT

  Used with `getDN`; specifies the returned DN should be in qualified-dot format.

  See Also:
    Constant Field Values

Method Detail

### getDN

    String getDN(int dnType)
                 throws IllegalArgumentException

  Return the DN of the directory object represented by this interface instance.

  Parameters:
    `dnType` - `LDAP`, `SLASH`, `QUALIFIED_SLASH`, `DOT`, `QUALIFIED_DOT`
  Returns:
    `String` containing formatted DN
  Throws:
    `IllegalArgumentException` - thrown if `dnType` is not one of the listed values

### getEntryID

    long getEntryID()

  Return the entry ID of the directory object represented by this interface instance.

  Returns:
    entry ID

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD